import express from "express";
import { ensureLoggedIn } from "connect-ensure-login";

import { sendResponse } from "../../../libs/format";
import { searchSong } from "../../../helpers";

// eslint-disable-next-line new-cap
const router = express.Router();

router
    .route("/search")
    .get(ensureLoggedIn("/connexion"), async (req, res, next) => {
        try {
            const data = await searchSong(req.query.q);

            sendResponse(req, res, data);
        } catch (err) {
            next(err);
        }
    });

export default router;
